org.apache.jmeter.engine.util

## Class ReplaceStringWithFunctions

- java.lang.Object
- - org.apache.jmeter.engine.util.ReplaceStringWithFunctions

    public class ReplaceStringWithFunctions
    extends Object

Replaces a String containing functions with their Function properties equivalent, example: ${__time()}_${__threadNum()}_${__machineName()} will become a FunctionProperty of a CompoundVariable containing 3 functions

### Constructor Summary

Constructors
Constructor and Description
`ReplaceStringWithFunctions(CompoundVariable masterFunction, Map<String,String> variables)`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected CompoundVariable` `getMasterFunction()`
`Map<String,String>` `getVariables()`
`void` `setMasterFunction(CompoundVariable variable)` Set the master function for the value transformer.
`void` `setVariables(Map<String,String> map)` Set the variable names and values used to reverse replace functions with strings, and undo functions to raw values.
`JMeterProperty` `transformValue(JMeterProperty prop)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ReplaceStringWithFunctions

    public ReplaceStringWithFunctions(CompoundVariable masterFunction,
                                      Map<String,String> variables)

### Method Detail

#### transformValue

    public JMeterProperty transformValue(JMeterProperty prop)
                                  throws InvalidVariableException

Throws:
  `InvalidVariableException`

#### setMasterFunction

    public void setMasterFunction(CompoundVariable variable)

Set the master function for the value transformer. This handles converting strings to functions.

Parameters:
  `variable` - Function to be used for the transformation

#### getMasterFunction

    protected CompoundVariable getMasterFunction()

#### getVariables

    public Map<String,String> getVariables()

#### setVariables

    public void setVariables(Map<String,String> map)

Set the variable names and values used to reverse replace functions with strings, and undo functions to raw values.

Parameters:
  `map` - Map of names and values to be used for the transformation